'use strict';

// ----------------------------------------------------------------------------------
// Handle settings
// ----------------------------------------------------------------------------------
document.addEventListener('DOMContentLoaded', function () {
    let resultDisplay = document.getElementById('rdsb');
    let latexRemoval = document.getElementById('ldt');
    let showall = document.getElementById('grerr');

    browser.storage.local.get("granskaOverleafDisplay").then(function (d) {
	if(d && d.granskaOverleafDisplay) {
	    resultDisplay.checked = true;
	} else {
	    resultDisplay.checked = false;
	}
    });

    resultDisplay.addEventListener('change', function(){
	browser.storage.local.set({"granskaOverleafDisplay":this.checked});
    });




    
    browser.storage.local.get("granskaOverleafDetex").then(function (d) {
	if(d && d.granskaOverleafDetex) {
	    latexRemoval.checked = true;
	} else {
	    if(!d || d.granskaOverleafDetex === undefined) {
		latexRemoval.checked = true;
		browser.storage.local.set({"granskaOverleafDetex":true});
	    } else {
		latexRemoval.checked = false;
	    }
	}
    });

    latexRemoval.addEventListener('change', function(){
	browser.storage.local.set({"granskaOverleafDetex":this.checked});
    });




    
    browser.storage.local.get("granskaOverleafShowall").then(function (d) {
	if((d && d.granskaOverleafShowall)
	   || (!d || d.granskaOverleafShowall === undefined)) {
	    showall.checked = true;
	} else {
	    showall.checked = false;
	}
    });

    showall.addEventListener('change', function(){
	browser.storage.local.set({"granskaOverleafShowall":this.checked});
    });
});
